<?php
/**
 * @category   FiloBlu
 * @package    FiloBlu_InstagramFeed
 *
 * @copyright  Copyright (c) 2017 FiloBlu (http://www.filoblu.com/)
 */

namespace FiloBlu\InstagramFeed\Helper;

class Data extends \Magento\Framework\Url\Helper\Data {

    /**
    * Constructor
    */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context
    ) {
        parent::__construct($context);
    }

    public function getConfig($config_path, $section)
    {
        return $this->scopeConfig->getValue($section . '/' . $config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }

}
