define([
    'jquery',
    'domReady',
    'instafeedjs'
], function ( $, domReady, Instafeed ) {
    'use strict';

    return function( config ){
        var feed,
        feedError = function(){
            $( '#' + config.widget ).remove();
        };

        domReady( function() {

            //get instagram feeds
            feed = new Instafeed({
                accessToken : config.params.accessToken,
                target      : config.params.target,
                template    : config.params.template,
                limit       : parseInt(config.params.limit),
                after       : function(){
                                //init your script
                            },
                error       : function(){ feedError(); }
            });
            feed.run();
        });
    };
});
